<?php

use Routes\RouteCollection as RouteCollection;

RouteCollection::cli('/', function(){
    echo "/create/[h:subname]/[h:name]\n";
    echo "install\n";
});

RouteCollection::cli('/routes',                      '\App\Core\Generator\GeneratorController@listRoutes');
RouteCollection::cli('/create/tags',                 '\App\Core\Generator\GeneratorController@createTags');
RouteCollection::cli('/create/[h:subname]/[h:name]', '\App\Core\Generator\GeneratorController@createPluginFromTemplate');

RouteCollection::group('/core', function(){

    RouteCollection::cli('/purge/[h:module]', function($module){
        echo "Purgin $module\n";
    });

    RouteCollection::cli('/purge', function(){
        echo "Purging Everything\n";
    });

});
